Templates
Content templates and the inputs each template expects. Use them to generate documents.
List templates
GET
api.app.typetone.ai/public/v1/template Authorization
X-API-KeyheaderrequiredYour workspace API key.
Response · 200
idstringrequiredUnique ID.
keystringrequiredMachine-readable name.
commandsarray of TemplateCommandsRelationshiprequiredThe template's generation steps.
templateMetasarray of TemplateTemplateMetaRelationshiprequiredThe template per language, with the input form it expects.
Errors
-
401Missing or invalid API key. -
403The workspace is not on a plan with API access. -
404The resource does not exist in this workspace.
curl "https://api.app.typetone.ai/public/v1/template" \
-H "X-API-Key: $TYPETONE_API_KEY" import os
import requests
response = requests.get(
"https://api.app.typetone.ai/public/v1/template",
headers={"X-API-Key": os.environ["TYPETONE_API_KEY"]},
)
response.raise_for_status()
print(response.json()) const response = await fetch("https://api.app.typetone.ai/public/v1/template", {
headers: {
"X-API-Key": process.env.TYPETONE_API_KEY,
},
});
const data = await response.json(); Response · 200
[
{
"id": "cmuf2k8x10001ab12cd34ef56",
"key": "professional",
"commands": [
{
"id": "cmuf2k8x10001ab12cd34ef56",
"languageKey": "NL"
}
],
"templateMetas": [
{
"id": "cmuf2k8x10001ab12cd34ef56",
"languageKey": "NL",
"form": [
{}
]
}
]
}
] Get a template
GET
api.app.typetone.ai/public/v1/template/{id} Authorization
X-API-KeyheaderrequiredYour workspace API key.
Path parameters
idstringrequiredUnique ID.
Response · 200
idstringrequiredUnique ID.
keystringrequiredMachine-readable name.
commandsarray of TemplateCommandsRelationshiprequiredThe template's generation steps.
templateMetasarray of TemplateTemplateMetaRelationshiprequiredThe template per language, with the input form it expects.
Errors
-
401Missing or invalid API key. -
403The workspace is not on a plan with API access. -
404The resource does not exist in this workspace. -
422A parameter or the request body is invalid.detailsays which.
curl "https://api.app.typetone.ai/public/v1/template/cmuf2k8x10001ab12cd34ef56" \
-H "X-API-Key: $TYPETONE_API_KEY" import os
import requests
response = requests.get(
"https://api.app.typetone.ai/public/v1/template/cmuf2k8x10001ab12cd34ef56",
headers={"X-API-Key": os.environ["TYPETONE_API_KEY"]},
)
response.raise_for_status()
print(response.json()) const response = await fetch("https://api.app.typetone.ai/public/v1/template/cmuf2k8x10001ab12cd34ef56", {
headers: {
"X-API-Key": process.env.TYPETONE_API_KEY,
},
});
const data = await response.json(); Response · 200
{
"id": "cmuf2k8x10001ab12cd34ef56",
"key": "professional",
"commands": [
{
"id": "cmuf2k8x10001ab12cd34ef56",
"languageKey": "NL"
}
],
"templateMetas": [
{
"id": "cmuf2k8x10001ab12cd34ef56",
"languageKey": "NL",
"form": [
{}
]
}
]
} Something unclear or missing? Tell us and we'll improve this page.